IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Network252.45.96.0/20
Usable hosts4,094
Subnet mask255.255.240.0
Addresses4,096
- Network address
252.45.96.0- Broadcast address
252.45.111.255- First usable
252.45.96.1- Last usable
252.45.111.254- Usable hosts
- 4,094 (4,096 less the network and broadcast addresses)
- Subnet mask
255.255.240.0- Wildcard mask
0.0.15.255(Cisco ACLs, OSPF)- Prefix length
- /20
- Type
- Reserved 240.0.0.0/4
Future use; not usable on most systems - Old class
- E (reserved)
- As numbers
- Hex
FC2D6000· Integer4230832128to4230836223 - Reverse DNS zones
96.45.252.in-addr.arpa97.45.252.in-addr.arpa98.45.252.in-addr.arpa99.45.252.in-addr.arpa100.45.252.in-addr.arpa101.45.252.in-addr.arpa102.45.252.in-addr.arpa103.45.252.in-addr.arpa104.45.252.in-addr.arpa105.45.252.in-addr.arpa106.45.252.in-addr.arpa107.45.252.in-addr.arpa108.45.252.in-addr.arpa109.45.252.in-addr.arpa110.45.252.in-addr.arpa111.45.252.in-addr.arpa
/20 is not on a 8-bit boundary, so it takes 16 /24 zones.
Binary
| Binary (network bits bold, host bits grey) | Dotted | |
|---|---|---|
| Address | 11111100.00101101.01100000.00000000 | 252.45.96.0 |
| Subnet mask | 11111111.11111111.11110000.00000000 | 255.255.240.0 |
| Network | 11111100.00101101.01100000.00000000 | 252.45.96.0 |
| Broadcast | 11111100.00101101.01101111.11111111 | 252.45.111.255 |
Split into smaller subnets
/21 (2)/22 (4)/23 (8)/24 (16)/25 (32)/26 (64)/27 (128)/28 (256)/29 (512)/30 (1,024)/31 (2,048)/32 (4,096)
252.45.96.0/20 makes 2,048 subnets of /31; the first 256 are listed.
| # | Subnet | Usable hosts range | Broadcast | Hosts |
|---|---|---|---|---|
| 1 | 252.45.96.0/31 | 252.45.96.0 to 252.45.96.1 | — | 2 |
| 2 | 252.45.96.2/31 | 252.45.96.2 to 252.45.96.3 | — | 2 |
| 3 | 252.45.96.4/31 | 252.45.96.4 to 252.45.96.5 | — | 2 |
| 4 | 252.45.96.6/31 | 252.45.96.6 to 252.45.96.7 | — | 2 |
| 5 | 252.45.96.8/31 | 252.45.96.8 to 252.45.96.9 | — | 2 |
| 6 | 252.45.96.10/31 | 252.45.96.10 to 252.45.96.11 | — | 2 |
| 7 | 252.45.96.12/31 | 252.45.96.12 to 252.45.96.13 | — | 2 |
| 8 | 252.45.96.14/31 | 252.45.96.14 to 252.45.96.15 | — | 2 |
| 9 | 252.45.96.16/31 | 252.45.96.16 to 252.45.96.17 | — | 2 |
| 10 | 252.45.96.18/31 | 252.45.96.18 to 252.45.96.19 | — | 2 |
| 11 | 252.45.96.20/31 | 252.45.96.20 to 252.45.96.21 | — | 2 |
| 12 | 252.45.96.22/31 | 252.45.96.22 to 252.45.96.23 | — | 2 |
| 13 | 252.45.96.24/31 | 252.45.96.24 to 252.45.96.25 | — | 2 |
| 14 | 252.45.96.26/31 | 252.45.96.26 to 252.45.96.27 | — | 2 |
| 15 | 252.45.96.28/31 | 252.45.96.28 to 252.45.96.29 | — | 2 |
| 16 | 252.45.96.30/31 | 252.45.96.30 to 252.45.96.31 | — | 2 |
| 17 | 252.45.96.32/31 | 252.45.96.32 to 252.45.96.33 | — | 2 |
| 18 | 252.45.96.34/31 | 252.45.96.34 to 252.45.96.35 | — | 2 |
| 19 | 252.45.96.36/31 | 252.45.96.36 to 252.45.96.37 | — | 2 |
| 20 | 252.45.96.38/31 | 252.45.96.38 to 252.45.96.39 | — | 2 |
| 21 | 252.45.96.40/31 | 252.45.96.40 to 252.45.96.41 | — | 2 |
| 22 | 252.45.96.42/31 | 252.45.96.42 to 252.45.96.43 | — | 2 |
| 23 | 252.45.96.44/31 | 252.45.96.44 to 252.45.96.45 | — | 2 |
| 24 | 252.45.96.46/31 | 252.45.96.46 to 252.45.96.47 | — | 2 |
| 25 | 252.45.96.48/31 | 252.45.96.48 to 252.45.96.49 | — | 2 |
| 26 | 252.45.96.50/31 | 252.45.96.50 to 252.45.96.51 | — | 2 |
| 27 | 252.45.96.52/31 | 252.45.96.52 to 252.45.96.53 | — | 2 |
| 28 | 252.45.96.54/31 | 252.45.96.54 to 252.45.96.55 | — | 2 |
| 29 | 252.45.96.56/31 | 252.45.96.56 to 252.45.96.57 | — | 2 |
| 30 | 252.45.96.58/31 | 252.45.96.58 to 252.45.96.59 | — | 2 |
| 31 | 252.45.96.60/31 | 252.45.96.60 to 252.45.96.61 | — | 2 |
| 32 | 252.45.96.62/31 | 252.45.96.62 to 252.45.96.63 | — | 2 |
| 33 | 252.45.96.64/31 | 252.45.96.64 to 252.45.96.65 | — | 2 |
| 34 | 252.45.96.66/31 | 252.45.96.66 to 252.45.96.67 | — | 2 |
| 35 | 252.45.96.68/31 | 252.45.96.68 to 252.45.96.69 | — | 2 |
| 36 | 252.45.96.70/31 | 252.45.96.70 to 252.45.96.71 | — | 2 |
| 37 | 252.45.96.72/31 | 252.45.96.72 to 252.45.96.73 | — | 2 |
| 38 | 252.45.96.74/31 | 252.45.96.74 to 252.45.96.75 | — | 2 |
| 39 | 252.45.96.76/31 | 252.45.96.76 to 252.45.96.77 | — | 2 |
| 40 | 252.45.96.78/31 | 252.45.96.78 to 252.45.96.79 | — | 2 |
| 41 | 252.45.96.80/31 | 252.45.96.80 to 252.45.96.81 | — | 2 |
| 42 | 252.45.96.82/31 | 252.45.96.82 to 252.45.96.83 | — | 2 |
| 43 | 252.45.96.84/31 | 252.45.96.84 to 252.45.96.85 | — | 2 |
| 44 | 252.45.96.86/31 | 252.45.96.86 to 252.45.96.87 | — | 2 |
| 45 | 252.45.96.88/31 | 252.45.96.88 to 252.45.96.89 | — | 2 |
| 46 | 252.45.96.90/31 | 252.45.96.90 to 252.45.96.91 | — | 2 |
| 47 | 252.45.96.92/31 | 252.45.96.92 to 252.45.96.93 | — | 2 |
| 48 | 252.45.96.94/31 | 252.45.96.94 to 252.45.96.95 | — | 2 |
| 49 | 252.45.96.96/31 | 252.45.96.96 to 252.45.96.97 | — | 2 |
| 50 | 252.45.96.98/31 | 252.45.96.98 to 252.45.96.99 | — | 2 |
| 51 | 252.45.96.100/31 | 252.45.96.100 to 252.45.96.101 | — | 2 |
| 52 | 252.45.96.102/31 | 252.45.96.102 to 252.45.96.103 | — | 2 |
| 53 | 252.45.96.104/31 | 252.45.96.104 to 252.45.96.105 | — | 2 |
| 54 | 252.45.96.106/31 | 252.45.96.106 to 252.45.96.107 | — | 2 |
| 55 | 252.45.96.108/31 | 252.45.96.108 to 252.45.96.109 | — | 2 |
| 56 | 252.45.96.110/31 | 252.45.96.110 to 252.45.96.111 | — | 2 |
| 57 | 252.45.96.112/31 | 252.45.96.112 to 252.45.96.113 | — | 2 |
| 58 | 252.45.96.114/31 | 252.45.96.114 to 252.45.96.115 | — | 2 |
| 59 | 252.45.96.116/31 | 252.45.96.116 to 252.45.96.117 | — | 2 |
| 60 | 252.45.96.118/31 | 252.45.96.118 to 252.45.96.119 | — | 2 |
| 61 | 252.45.96.120/31 | 252.45.96.120 to 252.45.96.121 | — | 2 |
| 62 | 252.45.96.122/31 | 252.45.96.122 to 252.45.96.123 | — | 2 |
| 63 | 252.45.96.124/31 | 252.45.96.124 to 252.45.96.125 | — | 2 |
| 64 | 252.45.96.126/31 | 252.45.96.126 to 252.45.96.127 | — | 2 |
| 65 | 252.45.96.128/31 | 252.45.96.128 to 252.45.96.129 | — | 2 |
| 66 | 252.45.96.130/31 | 252.45.96.130 to 252.45.96.131 | — | 2 |
| 67 | 252.45.96.132/31 | 252.45.96.132 to 252.45.96.133 | — | 2 |
| 68 | 252.45.96.134/31 | 252.45.96.134 to 252.45.96.135 | — | 2 |
| 69 | 252.45.96.136/31 | 252.45.96.136 to 252.45.96.137 | — | 2 |
| 70 | 252.45.96.138/31 | 252.45.96.138 to 252.45.96.139 | — | 2 |
| 71 | 252.45.96.140/31 | 252.45.96.140 to 252.45.96.141 | — | 2 |
| 72 | 252.45.96.142/31 | 252.45.96.142 to 252.45.96.143 | — | 2 |
| 73 | 252.45.96.144/31 | 252.45.96.144 to 252.45.96.145 | — | 2 |
| 74 | 252.45.96.146/31 | 252.45.96.146 to 252.45.96.147 | — | 2 |
| 75 | 252.45.96.148/31 | 252.45.96.148 to 252.45.96.149 | — | 2 |
| 76 | 252.45.96.150/31 | 252.45.96.150 to 252.45.96.151 | — | 2 |
| 77 | 252.45.96.152/31 | 252.45.96.152 to 252.45.96.153 | — | 2 |
| 78 | 252.45.96.154/31 | 252.45.96.154 to 252.45.96.155 | — | 2 |
| 79 | 252.45.96.156/31 | 252.45.96.156 to 252.45.96.157 | — | 2 |
| 80 | 252.45.96.158/31 | 252.45.96.158 to 252.45.96.159 | — | 2 |
| 81 | 252.45.96.160/31 | 252.45.96.160 to 252.45.96.161 | — | 2 |
| 82 | 252.45.96.162/31 | 252.45.96.162 to 252.45.96.163 | — | 2 |
| 83 | 252.45.96.164/31 | 252.45.96.164 to 252.45.96.165 | — | 2 |
| 84 | 252.45.96.166/31 | 252.45.96.166 to 252.45.96.167 | — | 2 |
| 85 | 252.45.96.168/31 | 252.45.96.168 to 252.45.96.169 | — | 2 |
| 86 | 252.45.96.170/31 | 252.45.96.170 to 252.45.96.171 | — | 2 |
| 87 | 252.45.96.172/31 | 252.45.96.172 to 252.45.96.173 | — | 2 |
| 88 | 252.45.96.174/31 | 252.45.96.174 to 252.45.96.175 | — | 2 |
| 89 | 252.45.96.176/31 | 252.45.96.176 to 252.45.96.177 | — | 2 |
| 90 | 252.45.96.178/31 | 252.45.96.178 to 252.45.96.179 | — | 2 |
| 91 | 252.45.96.180/31 | 252.45.96.180 to 252.45.96.181 | — | 2 |
| 92 | 252.45.96.182/31 | 252.45.96.182 to 252.45.96.183 | — | 2 |
| 93 | 252.45.96.184/31 | 252.45.96.184 to 252.45.96.185 | — | 2 |
| 94 | 252.45.96.186/31 | 252.45.96.186 to 252.45.96.187 | — | 2 |
| 95 | 252.45.96.188/31 | 252.45.96.188 to 252.45.96.189 | — | 2 |
| 96 | 252.45.96.190/31 | 252.45.96.190 to 252.45.96.191 | — | 2 |
| 97 | 252.45.96.192/31 | 252.45.96.192 to 252.45.96.193 | — | 2 |
| 98 | 252.45.96.194/31 | 252.45.96.194 to 252.45.96.195 | — | 2 |
| 99 | 252.45.96.196/31 | 252.45.96.196 to 252.45.96.197 | — | 2 |
| 100 | 252.45.96.198/31 | 252.45.96.198 to 252.45.96.199 | — | 2 |
| 101 | 252.45.96.200/31 | 252.45.96.200 to 252.45.96.201 | — | 2 |
| 102 | 252.45.96.202/31 | 252.45.96.202 to 252.45.96.203 | — | 2 |
| 103 | 252.45.96.204/31 | 252.45.96.204 to 252.45.96.205 | — | 2 |
| 104 | 252.45.96.206/31 | 252.45.96.206 to 252.45.96.207 | — | 2 |
| 105 | 252.45.96.208/31 | 252.45.96.208 to 252.45.96.209 | — | 2 |
| 106 | 252.45.96.210/31 | 252.45.96.210 to 252.45.96.211 | — | 2 |
| 107 | 252.45.96.212/31 | 252.45.96.212 to 252.45.96.213 | — | 2 |
| 108 | 252.45.96.214/31 | 252.45.96.214 to 252.45.96.215 | — | 2 |
| 109 | 252.45.96.216/31 | 252.45.96.216 to 252.45.96.217 | — | 2 |
| 110 | 252.45.96.218/31 | 252.45.96.218 to 252.45.96.219 | — | 2 |
| 111 | 252.45.96.220/31 | 252.45.96.220 to 252.45.96.221 | — | 2 |
| 112 | 252.45.96.222/31 | 252.45.96.222 to 252.45.96.223 | — | 2 |
| 113 | 252.45.96.224/31 | 252.45.96.224 to 252.45.96.225 | — | 2 |
| 114 | 252.45.96.226/31 | 252.45.96.226 to 252.45.96.227 | — | 2 |
| 115 | 252.45.96.228/31 | 252.45.96.228 to 252.45.96.229 | — | 2 |
| 116 | 252.45.96.230/31 | 252.45.96.230 to 252.45.96.231 | — | 2 |
| 117 | 252.45.96.232/31 | 252.45.96.232 to 252.45.96.233 | — | 2 |
| 118 | 252.45.96.234/31 | 252.45.96.234 to 252.45.96.235 | — | 2 |
| 119 | 252.45.96.236/31 | 252.45.96.236 to 252.45.96.237 | — | 2 |
| 120 | 252.45.96.238/31 | 252.45.96.238 to 252.45.96.239 | — | 2 |
| 121 | 252.45.96.240/31 | 252.45.96.240 to 252.45.96.241 | — | 2 |
| 122 | 252.45.96.242/31 | 252.45.96.242 to 252.45.96.243 | — | 2 |
| 123 | 252.45.96.244/31 | 252.45.96.244 to 252.45.96.245 | — | 2 |
| 124 | 252.45.96.246/31 | 252.45.96.246 to 252.45.96.247 | — | 2 |
| 125 | 252.45.96.248/31 | 252.45.96.248 to 252.45.96.249 | — | 2 |
| 126 | 252.45.96.250/31 | 252.45.96.250 to 252.45.96.251 | — | 2 |
| 127 | 252.45.96.252/31 | 252.45.96.252 to 252.45.96.253 | — | 2 |
| 128 | 252.45.96.254/31 | 252.45.96.254 to 252.45.96.255 | — | 2 |
| 129 | 252.45.97.0/31 | 252.45.97.0 to 252.45.97.1 | — | 2 |
| 130 | 252.45.97.2/31 | 252.45.97.2 to 252.45.97.3 | — | 2 |
| 131 | 252.45.97.4/31 | 252.45.97.4 to 252.45.97.5 | — | 2 |
| 132 | 252.45.97.6/31 | 252.45.97.6 to 252.45.97.7 | — | 2 |
| 133 | 252.45.97.8/31 | 252.45.97.8 to 252.45.97.9 | — | 2 |
| 134 | 252.45.97.10/31 | 252.45.97.10 to 252.45.97.11 | — | 2 |
| 135 | 252.45.97.12/31 | 252.45.97.12 to 252.45.97.13 | — | 2 |
| 136 | 252.45.97.14/31 | 252.45.97.14 to 252.45.97.15 | — | 2 |
| 137 | 252.45.97.16/31 | 252.45.97.16 to 252.45.97.17 | — | 2 |
| 138 | 252.45.97.18/31 | 252.45.97.18 to 252.45.97.19 | — | 2 |
| 139 | 252.45.97.20/31 | 252.45.97.20 to 252.45.97.21 | — | 2 |
| 140 | 252.45.97.22/31 | 252.45.97.22 to 252.45.97.23 | — | 2 |
| 141 | 252.45.97.24/31 | 252.45.97.24 to 252.45.97.25 | — | 2 |
| 142 | 252.45.97.26/31 | 252.45.97.26 to 252.45.97.27 | — | 2 |
| 143 | 252.45.97.28/31 | 252.45.97.28 to 252.45.97.29 | — | 2 |
| 144 | 252.45.97.30/31 | 252.45.97.30 to 252.45.97.31 | — | 2 |
| 145 | 252.45.97.32/31 | 252.45.97.32 to 252.45.97.33 | — | 2 |
| 146 | 252.45.97.34/31 | 252.45.97.34 to 252.45.97.35 | — | 2 |
| 147 | 252.45.97.36/31 | 252.45.97.36 to 252.45.97.37 | — | 2 |
| 148 | 252.45.97.38/31 | 252.45.97.38 to 252.45.97.39 | — | 2 |
| 149 | 252.45.97.40/31 | 252.45.97.40 to 252.45.97.41 | — | 2 |
| 150 | 252.45.97.42/31 | 252.45.97.42 to 252.45.97.43 | — | 2 |
| 151 | 252.45.97.44/31 | 252.45.97.44 to 252.45.97.45 | — | 2 |
| 152 | 252.45.97.46/31 | 252.45.97.46 to 252.45.97.47 | — | 2 |
| 153 | 252.45.97.48/31 | 252.45.97.48 to 252.45.97.49 | — | 2 |
| 154 | 252.45.97.50/31 | 252.45.97.50 to 252.45.97.51 | — | 2 |
| 155 | 252.45.97.52/31 | 252.45.97.52 to 252.45.97.53 | — | 2 |
| 156 | 252.45.97.54/31 | 252.45.97.54 to 252.45.97.55 | — | 2 |
| 157 | 252.45.97.56/31 | 252.45.97.56 to 252.45.97.57 | — | 2 |
| 158 | 252.45.97.58/31 | 252.45.97.58 to 252.45.97.59 | — | 2 |
| 159 | 252.45.97.60/31 | 252.45.97.60 to 252.45.97.61 | — | 2 |
| 160 | 252.45.97.62/31 | 252.45.97.62 to 252.45.97.63 | — | 2 |
| 161 | 252.45.97.64/31 | 252.45.97.64 to 252.45.97.65 | — | 2 |
| 162 | 252.45.97.66/31 | 252.45.97.66 to 252.45.97.67 | — | 2 |
| 163 | 252.45.97.68/31 | 252.45.97.68 to 252.45.97.69 | — | 2 |
| 164 | 252.45.97.70/31 | 252.45.97.70 to 252.45.97.71 | — | 2 |
| 165 | 252.45.97.72/31 | 252.45.97.72 to 252.45.97.73 | — | 2 |
| 166 | 252.45.97.74/31 | 252.45.97.74 to 252.45.97.75 | — | 2 |
| 167 | 252.45.97.76/31 | 252.45.97.76 to 252.45.97.77 | — | 2 |
| 168 | 252.45.97.78/31 | 252.45.97.78 to 252.45.97.79 | — | 2 |
| 169 | 252.45.97.80/31 | 252.45.97.80 to 252.45.97.81 | — | 2 |
| 170 | 252.45.97.82/31 | 252.45.97.82 to 252.45.97.83 | — | 2 |
| 171 | 252.45.97.84/31 | 252.45.97.84 to 252.45.97.85 | — | 2 |
| 172 | 252.45.97.86/31 | 252.45.97.86 to 252.45.97.87 | — | 2 |
| 173 | 252.45.97.88/31 | 252.45.97.88 to 252.45.97.89 | — | 2 |
| 174 | 252.45.97.90/31 | 252.45.97.90 to 252.45.97.91 | — | 2 |
| 175 | 252.45.97.92/31 | 252.45.97.92 to 252.45.97.93 | — | 2 |
| 176 | 252.45.97.94/31 | 252.45.97.94 to 252.45.97.95 | — | 2 |
| 177 | 252.45.97.96/31 | 252.45.97.96 to 252.45.97.97 | — | 2 |
| 178 | 252.45.97.98/31 | 252.45.97.98 to 252.45.97.99 | — | 2 |
| 179 | 252.45.97.100/31 | 252.45.97.100 to 252.45.97.101 | — | 2 |
| 180 | 252.45.97.102/31 | 252.45.97.102 to 252.45.97.103 | — | 2 |
| 181 | 252.45.97.104/31 | 252.45.97.104 to 252.45.97.105 | — | 2 |
| 182 | 252.45.97.106/31 | 252.45.97.106 to 252.45.97.107 | — | 2 |
| 183 | 252.45.97.108/31 | 252.45.97.108 to 252.45.97.109 | — | 2 |
| 184 | 252.45.97.110/31 | 252.45.97.110 to 252.45.97.111 | — | 2 |
| 185 | 252.45.97.112/31 | 252.45.97.112 to 252.45.97.113 | — | 2 |
| 186 | 252.45.97.114/31 | 252.45.97.114 to 252.45.97.115 | — | 2 |
| 187 | 252.45.97.116/31 | 252.45.97.116 to 252.45.97.117 | — | 2 |
| 188 | 252.45.97.118/31 | 252.45.97.118 to 252.45.97.119 | — | 2 |
| 189 | 252.45.97.120/31 | 252.45.97.120 to 252.45.97.121 | — | 2 |
| 190 | 252.45.97.122/31 | 252.45.97.122 to 252.45.97.123 | — | 2 |
| 191 | 252.45.97.124/31 | 252.45.97.124 to 252.45.97.125 | — | 2 |
| 192 | 252.45.97.126/31 | 252.45.97.126 to 252.45.97.127 | — | 2 |
| 193 | 252.45.97.128/31 | 252.45.97.128 to 252.45.97.129 | — | 2 |
| 194 | 252.45.97.130/31 | 252.45.97.130 to 252.45.97.131 | — | 2 |
| 195 | 252.45.97.132/31 | 252.45.97.132 to 252.45.97.133 | — | 2 |
| 196 | 252.45.97.134/31 | 252.45.97.134 to 252.45.97.135 | — | 2 |
| 197 | 252.45.97.136/31 | 252.45.97.136 to 252.45.97.137 | — | 2 |
| 198 | 252.45.97.138/31 | 252.45.97.138 to 252.45.97.139 | — | 2 |
| 199 | 252.45.97.140/31 | 252.45.97.140 to 252.45.97.141 | — | 2 |
| 200 | 252.45.97.142/31 | 252.45.97.142 to 252.45.97.143 | — | 2 |
| 201 | 252.45.97.144/31 | 252.45.97.144 to 252.45.97.145 | — | 2 |
| 202 | 252.45.97.146/31 | 252.45.97.146 to 252.45.97.147 | — | 2 |
| 203 | 252.45.97.148/31 | 252.45.97.148 to 252.45.97.149 | — | 2 |
| 204 | 252.45.97.150/31 | 252.45.97.150 to 252.45.97.151 | — | 2 |
| 205 | 252.45.97.152/31 | 252.45.97.152 to 252.45.97.153 | — | 2 |
| 206 | 252.45.97.154/31 | 252.45.97.154 to 252.45.97.155 | — | 2 |
| 207 | 252.45.97.156/31 | 252.45.97.156 to 252.45.97.157 | — | 2 |
| 208 | 252.45.97.158/31 | 252.45.97.158 to 252.45.97.159 | — | 2 |
| 209 | 252.45.97.160/31 | 252.45.97.160 to 252.45.97.161 | — | 2 |
| 210 | 252.45.97.162/31 | 252.45.97.162 to 252.45.97.163 | — | 2 |
| 211 | 252.45.97.164/31 | 252.45.97.164 to 252.45.97.165 | — | 2 |
| 212 | 252.45.97.166/31 | 252.45.97.166 to 252.45.97.167 | — | 2 |
| 213 | 252.45.97.168/31 | 252.45.97.168 to 252.45.97.169 | — | 2 |
| 214 | 252.45.97.170/31 | 252.45.97.170 to 252.45.97.171 | — | 2 |
| 215 | 252.45.97.172/31 | 252.45.97.172 to 252.45.97.173 | — | 2 |
| 216 | 252.45.97.174/31 | 252.45.97.174 to 252.45.97.175 | — | 2 |
| 217 | 252.45.97.176/31 | 252.45.97.176 to 252.45.97.177 | — | 2 |
| 218 | 252.45.97.178/31 | 252.45.97.178 to 252.45.97.179 | — | 2 |
| 219 | 252.45.97.180/31 | 252.45.97.180 to 252.45.97.181 | — | 2 |
| 220 | 252.45.97.182/31 | 252.45.97.182 to 252.45.97.183 | — | 2 |
| 221 | 252.45.97.184/31 | 252.45.97.184 to 252.45.97.185 | — | 2 |
| 222 | 252.45.97.186/31 | 252.45.97.186 to 252.45.97.187 | — | 2 |
| 223 | 252.45.97.188/31 | 252.45.97.188 to 252.45.97.189 | — | 2 |
| 224 | 252.45.97.190/31 | 252.45.97.190 to 252.45.97.191 | — | 2 |
| 225 | 252.45.97.192/31 | 252.45.97.192 to 252.45.97.193 | — | 2 |
| 226 | 252.45.97.194/31 | 252.45.97.194 to 252.45.97.195 | — | 2 |
| 227 | 252.45.97.196/31 | 252.45.97.196 to 252.45.97.197 | — | 2 |
| 228 | 252.45.97.198/31 | 252.45.97.198 to 252.45.97.199 | — | 2 |
| 229 | 252.45.97.200/31 | 252.45.97.200 to 252.45.97.201 | — | 2 |
| 230 | 252.45.97.202/31 | 252.45.97.202 to 252.45.97.203 | — | 2 |
| 231 | 252.45.97.204/31 | 252.45.97.204 to 252.45.97.205 | — | 2 |
| 232 | 252.45.97.206/31 | 252.45.97.206 to 252.45.97.207 | — | 2 |
| 233 | 252.45.97.208/31 | 252.45.97.208 to 252.45.97.209 | — | 2 |
| 234 | 252.45.97.210/31 | 252.45.97.210 to 252.45.97.211 | — | 2 |
| 235 | 252.45.97.212/31 | 252.45.97.212 to 252.45.97.213 | — | 2 |
| 236 | 252.45.97.214/31 | 252.45.97.214 to 252.45.97.215 | — | 2 |
| 237 | 252.45.97.216/31 | 252.45.97.216 to 252.45.97.217 | — | 2 |
| 238 | 252.45.97.218/31 | 252.45.97.218 to 252.45.97.219 | — | 2 |
| 239 | 252.45.97.220/31 | 252.45.97.220 to 252.45.97.221 | — | 2 |
| 240 | 252.45.97.222/31 | 252.45.97.222 to 252.45.97.223 | — | 2 |
| 241 | 252.45.97.224/31 | 252.45.97.224 to 252.45.97.225 | — | 2 |
| 242 | 252.45.97.226/31 | 252.45.97.226 to 252.45.97.227 | — | 2 |
| 243 | 252.45.97.228/31 | 252.45.97.228 to 252.45.97.229 | — | 2 |
| 244 | 252.45.97.230/31 | 252.45.97.230 to 252.45.97.231 | — | 2 |
| 245 | 252.45.97.232/31 | 252.45.97.232 to 252.45.97.233 | — | 2 |
| 246 | 252.45.97.234/31 | 252.45.97.234 to 252.45.97.235 | — | 2 |
| 247 | 252.45.97.236/31 | 252.45.97.236 to 252.45.97.237 | — | 2 |
| 248 | 252.45.97.238/31 | 252.45.97.238 to 252.45.97.239 | — | 2 |
| 249 | 252.45.97.240/31 | 252.45.97.240 to 252.45.97.241 | — | 2 |
| 250 | 252.45.97.242/31 | 252.45.97.242 to 252.45.97.243 | — | 2 |
| 251 | 252.45.97.244/31 | 252.45.97.244 to 252.45.97.245 | — | 2 |
| 252 | 252.45.97.246/31 | 252.45.97.246 to 252.45.97.247 | — | 2 |
| 253 | 252.45.97.248/31 | 252.45.97.248 to 252.45.97.249 | — | 2 |
| 254 | 252.45.97.250/31 | 252.45.97.250 to 252.45.97.251 | — | 2 |
| 255 | 252.45.97.252/31 | 252.45.97.252 to 252.45.97.253 | — | 2 |
| 256 | 252.45.97.254/31 | 252.45.97.254 to 252.45.97.255 | — | 2 |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |